¿Por qué no puedo actualizar Linux Mint 15 de Cinnamon 1.8.8 a Cinnamon 2.0 y cómo lo soluciono?

Así que Cinnamon 2.0 ya salió, y he seguido los pasos que las personas dieron para actualizar.

sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable sudo apt-get update sudo apt-get dist-upgrade 

Esto sin embargo no funciona. Dice que ya estoy en la versión más nueva. Intenté hacerlo desde un DE diferente, pero tampoco funcionó. No parece tener packages retenidos en apt, así que ese no es el problema.

¿Debo desinstalar Cinnamon y volver a instalarlo? ¿Se me escapa algo?

Gracias.

Lo arreglé añadiendo

Package: *
Pin: release o=LP-PPA-gwendal-lebihan-dev-cinnamon-stable
Pin-Priority: 800

al file en las preferences de etc / apt / called (Aumente 800 a lo que sea más alto que todo lo demás)

También tuve que instalar muffin y nemo (de ese PPA) para que funcione …

Sin embargo, estoy teniendo otros problemas ahora con muffin no lanzando.

Si la versión que desea está realmente en los repositorys, puede instalar una versión específica con este command:

 apt-get install cinnamon=2.0.2-20131011040008-raring 

GNU / Linux puede tener muchos DE simultáneamente, como KDE , Gnome-Shell , awesome , etc. No necesita eliminar cinnamon . Consulte su /etc/apt/sources.list y cualquier file en /etc/apt/sources.list.d , creo que su problema es el conflicto de repositorys. revisalo.

Si recibe un post como: The following packages have been kept back: no está relacionado con su máquina, puede tener algún motivo, server, repositorys y conflictos, y así sucesivamente.

Estoy en el mismo barco que el cartel de la pregunta. Estoy ejecutando Linux Mint 15 (Olivia) KDE Edition y he agregado el repository y listo

 sudo apt-get update 

bastantes veces desde los últimos 3 días. Sin embargo, todo lo que veo es package de canela en la versión 1.8.8 en Synaptic o usando el command:

 sudo aptitude show cinnamon 

Intenté instalar una versión específica dando el siguiente command:

 sudo apt-get install cinnamon=2.0.2 

Nada. Aparece el post de error:

 E: Version '2.0' for 'cinnamon' was not found 

¿¿Algunas ideas??

Por cierto, actualmente, no tengo canela instalada.

La única forma en que pude instalar Cinnamon 2 en mis ediciones de Linux Mint 15 Cinnamon y XFCE fue eliminar el repository base de Linux mint.

Lo siento, parece que hablé demasiado pronto. Estoy teniendo problemas con la installation del nuevo Cinnamon de esta manera. Mis controlleres de Nvidia no son compatibles, y estoy atascado ejecutando Cinamon en el modo de renderizado de software. ¡Así que voy a sugerir que la gente no haga esto!

Fue la sugerencia de Jacob lo que hizo que esto funcionara. Un paso a paso completo.

 sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable sudo apt-get upgrade 

Luego abrí el file de preferences en etc / apt / como dijo Jacob.

 sudo gedit /etc/apt/preferences 

y pegado en la información que aconsejó

 Package: * Pin: release o=LP-PPA-gwendal-lebihan-dev-cinnamon-stable Pin-Priority: 800 

y guardó el file.

Finalmente ejecuté la última línea de código:

 sudo apt-get dist-upgrade 

Y Cinnamon ha sido actualizado – ¡yay! La sugerencia de Jacob funciona. Gracias a ustedes dos: gryftir y Jacob. =)